#include <iostream>

using namespace std;

int main()
{
    int n, k, poz, karte[20000];
    cin >> n >> k;
    for(int i = 0; i < n; i ++){
        cin >> karte[i];
        if(karte[i] == k && i == n - 1){
            poz = 0;
        }
        else if(karte[i] == k && i != n){
            poz = i + 1;
        }
    }
    cout << karte[poz];
    return 0;
}